CVE-2020-9480:Apache Spark 远程代码执行漏洞通告

admin 2020年6月30日16:35:26安全文章评论560 views1072字阅读3分34秒阅读模式

CVE-2020-9480:Apache Spark 远程代码执行漏洞通告

 

0x01 漏洞背景

2020年06月24日, 360CERT监测发现 Apache Spark 官方 发布了 Apache Spark 远程代码执行 的风险通告,该漏洞编号为 CVE-2020-9480,漏洞等级:高危。

Apache Spark是一个开源集群运算框架,专为大规模数据处理而设计的快速通用的计算引擎,Spark是UC Berkeley AMP lab (加州大学伯克利分校的AMP实验室)所开源的类Hadoop MapReduce的通用并行框架。

在Apache Spark 2.4.5以及更早版本中,独立资源管理器的主服务器可能被配置为需要通过共享密钥进行身份验证(spark.authenticate)。然而,由于Spark的认证机制存在缺陷,导致共享密钥认证失效。攻击者利用该漏洞,可在未授权的情况下,在主机上执行命令,造成远程代码执行。

对此,360CERT建议广大用户及时安装最新补丁,做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02 风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 高危
影响面 一般

 

0x03 漏洞详情

在Apache Spark 2.4.5以及更早版本中,独立资源管理器的主服务器可能被配置为需要通过共享密钥进行身份验证(spark.authenticate)。然而,由于Spark的认证机制存在缺陷,导致共享密钥认证失效。攻击者利用该漏洞,可在未授权的情况下,在主机上执行命令,造成远程代码执行。

 

0x04 影响版本

  • Apache Spark:<=2.4.5

 

0x05 修复建议

通用修补建议:

升级到Spark 2.4.6 或者 Spark 3.0.0 版本,下载地址为: https://github.com/apache/spark/releases

 

0x06 相关空间测绘数据

360安全大脑-Quake网络空间测绘系统通过对全网资产测绘,发现Spark在全球广泛使用,具体分布如下图所示。

CVE-2020-9480:Apache Spark 远程代码执行漏洞通告

 

0x07 产品侧解决方案

360城市级网络安全监测服务

360安全大脑的QUAKE资产测绘平台通过资产测绘技术手段,对该类漏洞进行监测,请用户联系相关产品区域负责人获取对应产品。

 

0x08 时间线

2020-06-24 Apache Spark 发布漏洞通告

2020-06-24 360CERT发布预警

 

0x09 参考链接

  1. CVE-2020-9480: Apache Spark RCE vulnerability in auth-enabled standalone master

本文来源于互联网:CVE-2020-9480:Apache Spark 远程代码执行漏洞通告

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2020年6月30日16:35:26
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  CVE-2020-9480:Apache Spark 远程代码执行漏洞通告 http://cn-sec.com/archives/78189.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: